Description: Fix potential race condition when building in parallel mode
Origin: upstream, http://cvs.sourceforge.jp/cvs/view/freewnn/FreeWnn/Wnn/pubdicplus/Makefile.in?r1=1.7&r2=1.8&view=patch
Bug-Debian: http://bugs.debian.org/724058

--- a/Wnn/pubdicplus/Makefile.in	2010/02/22 17:06:54	1.7
+++ b/Wnn/pubdicplus/Makefile.in	2013/11/08 18:54:44	1.8
@@ -1,5 +1,5 @@
 #
-#   $Id: Makefile.in,v 1.7 2010/02/22 17:06:54 aonoto Exp $
+#   $Id: Makefile.in,v 1.8 2013/11/08 18:54:44 aonoto Exp $
 #
 
 #
@@ -10,7 +10,7 @@
 #                 1987, 1988, 1989, 1990, 1991, 1992
 # Copyright OMRON Corporation. 1987, 1988, 1989, 1990, 1991, 1992, 1999
 # Copyright ASTEC, Inc. 1987, 1988, 1989, 1990, 1991, 1992
-# Copyright FreeWnn Project 1999, 2000, 2001, 2002, 2004, 2010
+# Copyright FreeWnn Project 1999, 2000, 2001, 2002, 2004, 2010, 2013
 # 
 # Maintainer:  FreeWnn Project
 # 
@@ -42,13 +42,12 @@
            ATOF = $(WNNJUTILOBJ)/atof
        WNNTOUCH = $(WNNJUTILOBJ)/wnntouch
           HINSI = @HINSI_DATA@
-       FZK_FLAG =
 
 LINKS = Version bio.hd chimei.hd computer.hd fzk.attr fzk.con fzk.fzkattr fzk.jirattr  fzk.jircon fzk.master fzk.shuutan jinmei.hd kihon.hd koyuu.hd setsuji.hd special.hd special.u symbol.hd tankan.hd
 
 WNNDICS = bio.u chimei.u computer.u jinmei.u kihon.u koyuu.u setsuji.u symbol.u tankan.u
 
-FZK_SRC=          fzk.master          fzk.attr          fzk.jirattr          fzk.fzkattr          fzk.jircon          fzk.con          fzk.shuutan
+FZK_SRC=          fzk.master-.c          fzk.attr          fzk.jirattr          fzk.fzkattr          fzk.jircon          fzk.con          fzk.shuutan
 
 DIC= 	bio.dic 	chimei.dic 	computer.dic 	jinmei.dic 	kihon.dic 	koyuu.dic 	setsuji.dic 	special.dic 	symbol.dic 	tankan.dic
 
@@ -68,24 +67,14 @@
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: Version
-
 depend:: Version
 
-clean::
-	$(RM) Version
-
 bio.hd:  $(PUBDICPLUSSRC)/bio.hd
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: bio.hd
-
 depend:: bio.hd
 
-clean::
-	$(RM) bio.hd
-
 # bio.u:  $(PUBDICPLUSSRC)/bio.u
 #	$(RM) $@
 #	$(LN) $? $@
@@ -101,13 +90,8 @@
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: chimei.hd
-
 depend:: chimei.hd
 
-clean::
-	$(RM) chimei.hd
-
 # chimei.u:  $(PUBDICPLUSSRC)/chimei.u
 #	$(RM) $@
 #	$(LN) $? $@
@@ -123,13 +107,8 @@
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: computer.hd
-
 depend:: computer.hd
 
-clean::
-	$(RM) computer.hd
-
 # computer.u:  $(PUBDICPLUSSRC)/computer.u
 #	$(RM) $@
 #	$(LN) $? $@
@@ -145,90 +124,50 @@
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: fzk.attr
-
 depend:: fzk.attr
 
-clean::
-	$(RM) fzk.attr
-
 fzk.con:  $(PUBDICPLUSSRC)/fzk.con
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: fzk.con
-
 depend:: fzk.con
 
-clean::
-	$(RM) fzk.con
-
 fzk.fzkattr:  $(PUBDICPLUSSRC)/fzk.fzkattr
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: fzk.fzkattr
-
 depend:: fzk.fzkattr
 
-clean::
-	$(RM) fzk.fzkattr
-
 fzk.jirattr:  $(PUBDICPLUSSRC)/fzk.jirattr
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: fzk.jirattr
-
 depend:: fzk.jirattr
 
-clean::
-	$(RM) fzk.jirattr
-
 fzk.jircon:  $(PUBDICPLUSSRC)/fzk.jircon
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: fzk.jircon
-
 depend:: fzk.jircon
 
-clean::
-	$(RM) fzk.jircon
-
 fzk.master:  $(PUBDICPLUSSRC)/fzk.master
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: fzk.master
-
 depend:: fzk.master
 
-clean::
-	$(RM) fzk.master
-
 fzk.shuutan:  $(PUBDICPLUSSRC)/fzk.shuutan
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: fzk.shuutan
-
 depend:: fzk.shuutan
 
-clean::
-	$(RM) fzk.shuutan
-
 jinmei.hd:  $(PUBDICPLUSSRC)/jinmei.hd
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: jinmei.hd
-
 depend:: jinmei.hd
 
-clean::
-	$(RM) jinmei.hd
-
 # jinmei.u:  $(PUBDICPLUSSRC)/jinmei.u
 #	$(RM) $@
 #	$(LN) $? $@
@@ -244,13 +183,8 @@
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: kihon.hd
-
 depend:: kihon.hd
 
-clean::
-	$(RM) kihon.hd
-
 # kihon.u:  $(PUBDICPLUSSRC)/kihon.u
 #	$(RM) $@
 #	$(LN) $? $@
@@ -266,13 +200,8 @@
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: koyuu.hd
-
 depend:: koyuu.hd
 
-clean::
-	$(RM) koyuu.hd
-
 # koyuu.u:  $(PUBDICPLUSSRC)/koyuu.u
 #	$(RM) $@
 #	$(LN) $? $@
@@ -288,13 +217,8 @@
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: setsuji.hd
-
 depend:: setsuji.hd
 
-clean::
-	$(RM) setsuji.hd
-
 # setsuji.u:  $(PUBDICPLUSSRC)/setsuji.u
 #	$(RM) $@
 #	$(LN) $? $@
@@ -310,35 +234,20 @@
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: special.hd
-
 depend:: special.hd
 
-clean::
-	$(RM) special.hd
-
 special.u:  $(PUBDICPLUSSRC)/special.u
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: special.u
-
 depend:: special.u
 
-clean::
-	$(RM) special.u
-
 symbol.hd:  $(PUBDICPLUSSRC)/symbol.hd
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: symbol.hd
-
 depend:: symbol.hd
 
-clean::
-	$(RM) symbol.hd
-
 # symbol.u:  $(PUBDICPLUSSRC)/symbol.u
 #	$(RM) $@
 #	$(LN) $? $@
@@ -354,13 +263,8 @@
 	$(RM) $@
 	$(LN) $? $@
 
-includes:: tankan.hd
-
 depend:: tankan.hd
 
-clean::
-	$(RM) tankan.hd
-
 # tankan.u:  $(PUBDICPLUSSRC)/tankan.u
 #	$(RM) $@
 #	$(LN) $? $@
@@ -421,16 +325,14 @@
 	$(RM) $@
 	$(LN) $? $@
 
-std.fzk: fzk.master-.c $(FZK_SRC)
-	$(FZK_PP) $(FZK_FLAG) fzk.master-.c | egrep -v '^(# |#line |#pragma |$$)' | $(ATOF) -h $(HINSI) $@
+std.fsrc: $(FZK_SRC)
+	$(FZK_PP) fzk.master-.c > $@
+
+full.fsrc: $(FZK_SRC)
+	$(FZK_PP) -DKANSAI fzk.master-.c > $@
 
-full.fzk: $(FZK_SRC)
-	$(MAKE) FZK_FLAG=-DKANSAI std.fzk
-	$(MV) std.fzk $@
-
-kougo.fzk: $(FZK_SRC)
-	$(MAKE) FZK_FLAG=-DKOUGO std.fzk
-	$(MV) std.fzk $@
+kougo.fsrc: $(FZK_SRC)
+	$(FZK_PP) -DKOUGO fzk.master-.c > $@
 
 # additional rule from PubdicPlus/Makefile.in : by aono
 pod.o: $(PUBDICPLUSSRC)/pod.c
@@ -442,7 +344,7 @@
 $(WNNDICS): pod $(PUBDICPLUSSRC)/pubdic.p
 	./pod $(PUBDICPLUSSRC)/pubdic.p -w -1 -k `basename $@ .u` > $@
 
-.SUFFIXES: .hd .u .dic .more
+.SUFFIXES: .hd .u .dic .more .fsrc .fzk
 
 .u.dic:
 	cat $*.hd $< | $(ATOD) -p $(VERSION) -P $(VERSION) -h $(HINSI) $@
@@ -450,7 +352,10 @@
 .hd.more:
 	$(ATOD) -h $(HINSI) $@ < $<
 
+.fsrc.fzk:
+	egrep -v '^(# |#line |#pragma |$$)' $< | $(ATOF) -h $(HINSI) $@
+
 $(DIC): $(HINSI)
 
 clean::
-	$(RM) -f *.fzk *.dic *.more fzk.master-.c pod $(LINKS)
+	$(RM) -f *.fsrc *.dic *.more fzk.master-.c pod $(LINKS) $(FZKDATA)
